DCHU(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DCHU (A, B, X)

NAME
dchu - Compute the logarithmic confluent hypergeometric function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C11

TYPE
DOUBLE PRECISION (CHU-S, DCHU-D)

KEYWORDS
FNLIB, LOGARITHMIC CONFLUENT HYPERGEOMETRIC FUNCTION, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
DCHU(A,B,X) calculates the double precision logarithmic confluent hypergeometric function U(A,B,X) for double precision arguments A, B, and X. This routine is not valid when 1+A-B is close to zero if X is small.

REFERENCES
(NONE)

ROUTINES CALLED
D1MACH, D9CHU, DEXPRL, DGAMMA, DGAMR, DPOCH, DPOCH1, XERMSG

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900727 Added EXTERNAL statement. (WRB)